html {
  height: 100%;
}

body {
  background-color: white;
  margin: 0;
  padding: 0;
  height: 100%;
}

header .navbar {
  margin-bottom: 0;
  min-height: inherit;
}

.header .container {
  position: relative;
}

.navbar-title {
  background-image: url("../img/logo.png");
  height: 25px;
  background-repeat: no-repeat;
  width: 123px;
  margin: 3px 10px 5px;
  text-indent: -99999px;
}

.navbar-pf .navbar-utility {
  right: 20px;
  top: -34px;
  font-size: 12px;
}

.navbar-pf .navbar-utility > li > a {
  color: #fff !important;
  padding-bottom: 12px;
  padding-top: 11px;
  border-left: medium none;
}

.content-area {
  background-color: white;
  height: 100%;
  padding: 0 10px;
}

.margin-bottom {
  margin-bottom: 10px;
}

/* Sidebar */

.bs-sidebar {
  background-color: white;
  padding-top: 44px;
  padding-right: 0;
  padding-left: 0;
  z-index: 20;
}
.bs-sidebar ul {
  list-style: none;
  padding-left: 12px;
}

.bs-sidebar ul li {
  margin-bottom: 0.5em;
  margin-left: -1em;
}
.bs-sidebar ul li a {
  font-size: 14px;
  padding-left: 25px;
  color: #4d5258;
  line-height: 28px;
  display: block;
  border-width: 1px 0 1px 1px;
  border-style: solid;
  border-color: #f9f9f9;
}
.bs-sidebar ul li a:hover,
.bs-sidebar ul li a:focus {
  text-decoration: none;
  color: #777777;
  border-right: 2px solid #aaa;
}
.bs-sidebar ul li.active a {
  background-color: #c7e5f0;
  border-color: #56bae0;
  font-weight: bold;
  background-image: url(../img/icon-sidebar-active.png);
  background-repeat: no-repeat;
  background-position: right center;
}

.bs-sidebar ul li.active a:hover {
  border-right: none;
}

.content-area h2 {
  font-weight: 500;
  font-size: 24px;
  margin-bottom: 0px;
  margin-top: 25px;
  color: #505050;
}

.subtitle {
  margin-top: 10px;
  color: #505050;
  font-size: 12px;
  font-weight: bold;
  text-align: right;
}

.required {
  color: #cb2915;
}

.alert {
  margin-top: 30px;
  margin-bottom: 0;
}

.feedback-aligner .alert {
  background-position: 1.27273em center;
  background-repeat: no-repeat;
  border-radius: 2px;
  border-width: 1px;
  color: #4d5258;
  display: inline-block;
  font-size: 1.1em;
  line-height: 1.4em;
  margin: 0;
  padding: 0.909091em 3.63636em;
  position: relative;
  text-align: left;
}
.alert.alert-success {
  background-color: #e4f1e1;
  border-color: #4b9e39;
}
.alert.alert-error {
  background-color: #f8e7e7;
  border-color: #b91415;
}
.alert.alert-warning {
  background-color: #fef1e9;
  border-color: #f17528;
}
.alert.alert-info {
  background-color: #e4f3fa;
  border-color: #5994b2;
}

.form-horizontal {
  border: none;
  padding-top: 23px;
}

.form-horizontal .control-label {
  color: #909090;
  line-height: 1.4em;
  padding-top: 5px;
  position: relative;
  text-align: right;
  width: 100%;
}

.form-group {
  position: relative;
}

.control-label + .required {
  position: absolute;
  right: -2px;
  top: 0;
}

#kc-form-buttons {
  margin-top: 10px;
  margin-bottom: 10px;
}

#kc-form-buttons .btn-primary {
  float: none;
  margin-left: 8px;
}

/* Authenticator page */

ol {
  padding-left: 40px;
}

ol li {
  font-size: 13px;
  margin-bottom: 10px;
  position: relative;
}

ol li img {
  margin-top: 15px;
  margin-bottom: 5px;
  border: 1px solid #eee;
}

hr + .form-horizontal {
  border: none;
  padding-top: 0;
}

.kc-dropdown {
  position: relative;
}
.kc-dropdown > a {
  display: block;
  padding: 11px 10px 12px;
  line-height: 12px;
  font-size: 12px;
  color: #fff !important;
  text-decoration: none;
}
.kc-dropdown > a::after {
  content: "\2c5";
  margin-left: 4px;
}
.kc-dropdown:hover > a {
  background-color: rgba(0, 0, 0, 0.2);
}
.kc-dropdown ul li a {
  padding: 1px 11px;
  font-size: 12px;
  color: #000 !important;
  border: 1px solid #fff;
  text-decoration: none;
  display: block;
  line-height: 20px;
}
.kc-dropdown ul li a:hover {
  color: #4d5258;
  background-color: #d4edfa;
  border-color: #b3d3e7;
}
.kc-dropdown ul {
  position: absolute;
  z-index: 2000;
  list-style: none;
  display: none;
  padding: 5px 0px;
  margin: 0px;
  background-color: #fff !important;
  border: 1px solid #b6b6b6;
  border-radius: 1px;
  -webkit-box-shadow: 0 6px 12px rgba(0, 0, 0, 0.175);
  box-shadow: 0 6px 12px rgba(0, 0, 0, 0.175);
  background-clip: padding-box;
  min-width: 100px;
}
.kc-dropdown:hover ul {
  display: block;
}

#kc-totp-secret-key {
  border: 1px solid #eee;
  font-size: 16px;
  padding: 10px;
  margin: 50px 0;
}

.f-width {
  width: 100%;
}
.registration .login-body .login-wrapper .login-panel .logo {
  margin-bottom: 30px;
  margin-top: 20px;
}

.account-root .inputGroup .inputField {
  background: #ffffff;
  border: 1px solid #dcdfe4;
  box-sizing: border-box;
  border-radius: 5px;
  height: 50px;
}

.account-root .inputGroup .inputField::-webkit-input-placeholder {
  font-style: normal;
}

.inputGroup {
  margin-bottom: 10px;
}

@media (max-width: 541px) {
  #loginbox {
    margin-top: 20px;
  }

  .inputGroup {
    margin-bottom: 6px;
  }

  .panel-body {
    padding-top: 10px;
  }
}

@media (min-width: 542px) and (max-width: 1400px) {
  #loginbox {
    margin-top: 40px;
  }

  .inputGroup {
    margin-bottom: 10px;
  }
  .panel-body {
    padding-top: 20px;
  }
}

@media (min-width: 791px) {
  .profile-container {
    height: calc(100% - 74px);
  }
}

.buttonSubmit {
  width: 100%;
  background-color: #464df2;
  color: white;
  border-radius: 5px;
  border: none;
  height: 50px;
  font-weight: bold;
}

.buttonSubmit:hover,
.buttonSubmit:focus,
.buttonSubmit:active {
  background-color: #221ed9;
  color: white;
}

.form-wrapper {
  margin-top: 25px;
  margin-bottom: 30px;
  width: 70%;
}

.form-container {
  display: flex;
  justify-content: center;
}

@media (max-width: 992px) {
  .form-wrapper {
    width: 80%;
  }
}

@media (max-width: 639px) {
  .form-wrapper {
    width: 90%;
  }
}

@media (max-width: 479px) {
  .form-wrapper {
    width: 100%;
  }
}

.form-control {
  display: block;
  width: 100%;
  height: 34px;
  padding: 6px 12px;
  font-size: 14px;
  line-height: 1.428571429;
  color: #555;
  background-color: #fff;
  background-image: none;
  border: 1px solid #ccc;
  border-radius: 4px;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075);
  -webkit-transition: border-color ease-in-out 0.15s,
    box-shadow ease-in-out 0.15s;
  transition: border-color ease-in-out 0.15s, box-shadow ease-in-out 0.15s;
}
.form-control:focus {
  border-color: #66afe9;
  outline: 0;
  -webkit-box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075),
    0 0 8px rgba(102, 175, 233, 0.6);
  box-shadow: inset 0 1px 1px rgba(0, 0, 0, 0.075),
    0 0 8px rgba(102, 175, 233, 0.6);
}
.form-control:-moz-placeholder {
  color: #999;
}
.form-control::-moz-placeholder {
  color: #999;
  opacity: 1;
}
.form-control:-ms-input-placeholder {
  color: #999;
}
.form-control::-webkit-input-placeholder {
  color: #999;
}
.form-control[disabled],
.form-control[readonly],
fieldset[disabled] .form-control {
  cursor: not-allowed;
  background-color: #eee;
  opacity: 1;
}
textarea.form-control {
  height: auto;
}
